# -*- mode: ruby -*-
# vi: set ft=ruby :

nodes = [
  { :hostname => "db", :ip => "192.168.60.11", :memory => 2048, :cpu => 1, :boxname => "ubuntu/bionic64", :guest => 5432, :host => 5424},
  { :hostname => "app", :ip => "192.168.60.12", :memory => 1024, :cpu => 1, :boxname => "ubuntu/bionic64", :guest => 5000, :host => 5000},
#  { :hostname => "db", :ip => "192.168.60.11", :memory => 1024, :cpu => 1, :boxname => "centos/7", :guest => 5432, :host => 5432},
#  { :hostname => "app", :ip => "192.168.60.12", :memory => 1024, :cpu => 1, :boxname => "centos/7", :guest => 5000, :host => 5000},
]

Vagrant.configure("2") do |config|
  nodes.each do |node|
    config.vm.define node[:hostname] do |vb|
      config.vm.provider :virtualbox do |v|
        v.gui = false
        v.memory = node[:memory]
        v.cpus = node[:cpu]
      end
      vb.vm.host_name = node[:hostname]
      vb.vm.network :private_network, ip: node[:ip]
      vb.vm.network :forwarded_port, guest: node[:guest], host: node[:host]
      vb.vm.box = node[:boxname]
    end
    
  end
end
